<?php
require_once '../Conexion/ConexionPDO.php';
session_start();
$con = new ConexionPDO();
$id = $_REQUEST["id"];
if ($id == 0) {
    $rs = $con->Listar("SELECT id_unico,nombre FROM gf_clase_cuenta ORDER BY nombre ASC");
    // $rs = $mysqli->query($sql);
    // while($fila = mysqli_fetch_row($rs)){
    for ($fila = 0; $fila < count($rs); $fila++) {
        echo '<option value="' . $rs[$fila][0] . '">' . ucwords((mb_strtolower($rs[$fila][1]))) . '</option>';
    }
} else {
    $row = $con->Listar("SELECT CT.id_unico,CT.nombre FROM gf_clase_cuenta CT LEFT JOIN gf_cuenta C 
    ON CT.id_unico = C.clasecuenta WHERE C.id_unico = $id ORDER BY CT.nombre ASC");
    // $res = $mysqli->query($sql);
    // $row = mysqli_fetch_row($res);
    echo '<option value="' . $row[0][0] . '">' . ucwords((mb_strtolower($row[0][1]))) . '</option>';
    $rs = $con->Listar("SELECT DISTINCT CT.id_unico,CT.nombre FROM gf_clase_cuenta CT LEFT JOIN gf_cuenta C 
    ON CT.id_unico = C.clasecuenta WHERE CT.id_unico != " . $row[0][0] . " ORDER BY CT.nombre ASC");
    // $rs = $mysqli->query($sqli);
    // while ($fila = mysqli_fetch_row($rs)){
    for ($fila = 0; $fila < count($rs); $fila++) {
        echo '<option value="' . $rs[$fila][0] . '">' . ucwords((mb_strtolower($rs[$fila][1]))) . '</option>';
    }
}



// $id = $_POST["id"];
// if ($id==0) {
//     $sql = "SELECT id_unico,nombre FROM gf_clase_cuenta ORDER BY nombre ASC";
//     $rs = $mysqli->query($sql);
//     while($fila = mysqli_fetch_row($rs)){
//         echo '<option value="'.$fila[0].'">'.ucwords((mb_strtolower($fila[1]))).'</option>';
//     }
// }else{
//     $sql = "SELECT CT.id_unico,CT.nombre FROM gf_clase_cuenta CT LEFT JOIN gf_cuenta C ON CT.id_unico = C.clasecuenta WHERE C.id_unico = $id ORDER BY CT.nombre ASC";
//     $res = $mysqli->query($sql);
//     $row = mysqli_fetch_row($res);
//     echo '<option value="'.$row[0].'">'.ucwords((mb_strtolower($row[1]))).'</option>';
//     $sqli = "SELECT DISTINCT CT.id_unico,CT.nombre FROM gf_clase_cuenta CT LEFT JOIN gf_cuenta C ON CT.id_unico = C.clasecuenta WHERE CT.id_unico != $row[0] ORDER BY CT.nombre ASC";
//     $rs = $mysqli->query($sqli);
//     while ($fila = mysqli_fetch_row($rs)){
//         echo '<option value="'.$fila[0].'">'.ucwords((mb_strtolower($fila[1]))).'</option>';
//     }
// }  
